using Lada.Framework.Data.Domains.Trucks;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Lada.Framework.Data.Mappings.EntityMappings.Trucks
{
    public class TruckMap : IEntityMappingConfiguration<Truck>
    {
        public void Map(EntityTypeBuilder<Truck> builder)
        {
            builder.HasKey(o => o.Id);
            builder.ToTable("Trucks");
        }
    }
}
